# vim: set ft=spec: -*- rpm-spec -*-

Name: qgit
Version: 1.5.4
Release: alt1

Summary: git GUI viewer built on Qt/C++
Group: Development/Other
License: GPL
Url: http://digilander.libero.it/mcostalba/

Packager: Sir Raorn <raorn@altlinux.ru>

# git://git.altlinux.org/people/raorn/packages/qgit.git
Source: %name-%version-%release.tar

# Automatically added by buildreq on Fri May 12 2006
BuildRequires: gcc-c++ libqt3-devel libXft-devel libXt-devel

%description
With qgit you will be able to browse revisions history, view
patch content and changed files, graphically following different
development branches.

Features:

* View revisions, diffs, files history, files annotation,
  archive tree.

* Commit changes visually cherry picking modified files.

* Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.

* qgit implements a GUI for the most common StGIT commands like
  push/pop and apply/format patches. You can also create new
  patches or refresh current top one using the same semantics of
  git commit,  i.e. cherry picking single modified files.

%prep
%setup -q -n %name-%version-%release

%build
%__autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc README ChangeLog
%_bindir/%name

%changelog
* Fri Feb 02 2007 Sir Raorn <raorn@altlinux.ru> 1.5.4-alt1
- [1.5.4]

* Mon Nov 20 2006 Sir Raorn <raorn@altlinux.ru> 1.5.3-alt1
- [1.5.3]

* Wed Nov 08 2006 Sir Raorn <raorn@altlinux.ru> 1.5.2-alt1
- [1.5.2]

* Sun Sep 03 2006 Sir Raorn <raorn@altlinux.ru> 1.4-alt1
- [1.4]

* Fri May 12 2006 Sir Raorn <raorn@altlinux.ru> 1.2-alt1
- Built for Sisyphus

